JustCloud on Linux / Ubuntu

JustCloud offers a new Linux client for Debian-based systems, e.g. Ubuntu and others.

You can choose to download 32 bit or 64 bit versions. However, what the website doesn’t tell you is that JustCloud client for Linux has some dependencies and you need to install them manually before installing JustCloud. Those dependencies / packages are:

  • rdiff
  • librsync1

So, download JustCloud and do this:

sudo apt-get install rdiff librsync1
sudo dpkg -i ./JustCloud_64.deb

Change the second line to match the path to JustCloud package.

If you don’t install these dependencies on Linux before, you can encounter this error:

Selecting previously unselected package justcloud.
(Reading database ... 410236 files and directories currently installed.)
Unpacking justcloud (from ./JustCloud_64.deb) ...
dpkg: dependency problems prevent configuration of justcloud:
 justcloud depends on rdiff; however:
  Package rdiff is not installed.
dpkg: error processing justcloud (--install):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
  • Gosia

    I tried to download JustCloud for Ubuntu 64 bit distribution, but in fact you can only download one for 32 bit distribution. They do not give you a choice. Any idea where I can find it?

  • dusoft

    Sorry, I wouldn’t know. I prefer using Copy (copy.com) now.

  • Diogo

    sudo apt-get install libxtst6:i386 working for me